JasPer 4.2.8 |

Loading...
Searching...
No Matches
jas_image_fmtops_t Struct Reference
Image Representation

Image format-dependent operations. More...

`#include <jas_image.h>`

## Public Attributes
jas_image_t *(* | decode )(jas_stream_t *in, const char *opts)
int(* | encode )(jas_image_t *image, jas_stream_t *out, const char *opts)
int(* | validate )(jas_stream_t *in)

## Detailed Description

Image format-dependent operations.

## Member Data Documentation

## ◆ decode

jas_image_t *(* jas_image_fmtops_t::decode) (jas_stream_t *in, const char *opts)

Decode image data from a stream.

## ◆ encode

int(* jas_image_fmtops_t::encode) (jas_image_t *image, jas_stream_t *out, const char *opts)

Encode image data to a stream.

## ◆ validate

int(* jas_image_fmtops_t::validate) (jas_stream_t *in)

Determine if stream data is in a particular format.

The documentation for this struct was generated from the following file:

- jas_image.h